Topic: Encountered error when installing PunBB

Hi,

I encountered the following error while installing PunBB. It's surprising because it says there is syntax error in in the installation file.

Sorry! The page could not be loaded.

This is probably a temporary error. Just refresh the page and retry. If problem continues, please check back in 5-10 minutes.

Database reported: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups ( g_id INT(10) UNSIGNED AUTO_INCREMENT NOT NULL, g_title VARCHAR(50) NOT ' at line 1 (Errno: 1064).

Failed query: CREATE TABLE groups ( g_id INT(10) UNSIGNED AUTO_INCREMENT NOT NULL, g_title VARCHAR(50) NOT NULL DEFAULT '', g_user_title VARCHAR(50), g_moderator TINYINT(1) NOT NULL DEFAULT 0, g_mod_edit_users TINYINT(1) NOT NULL DEFAULT 0, g_mod_rename_users TINYINT(1) NOT NULL DEFAULT 0, g_mod_change_passwords TINYINT(1) NOT NULL DEFAULT 0, g_mod_ban_users TINYINT(1) NOT NULL DEFAULT 0, g_read_board TINYINT(1) NOT NULL DEFAULT 1, g_view_users TINYINT(1) NOT NULL DEFAULT 1, g_post_replies TINYINT(1) NOT NULL DEFAULT 1, g_post_topics TINYINT(1) NOT NULL DEFAULT 1, g_edit_posts TINYINT(1) NOT NULL DEFAULT 1, g_delete_posts TINYINT(1) NOT NULL DEFAULT 1, g_delete_topics TINYINT(1) NOT NULL DEFAULT 1, g_set_title TINYINT(1) NOT NULL DEFAULT 1, g_search TINYINT(1) NOT NULL DEFAULT 1, g_search_users TINYINT(1) NOT NULL DEFAULT 1, g_send_email TINYINT(1) NOT NULL DEFAULT 1, g_post_flood SMALLINT(6) NOT NULL DEFAULT 30, g_search_flood SMALLINT(6) NOT NULL DEFAULT 30, g_email_flood SMALLINT(6) NOT NULL DEFAULT 60, PRIMARY KEY (g_id) ) ENGINE = MyISAM CHARACTER SET utf8

The error occurred on line 327 in /var/www/html/punbb-1.4.5/include/dblayer/mysqli.php

I am using Ubuntu 20. I have installed PHP, sql-server and apache2.

Thanks for your help in advance.

2 (edited by Visman 2021-05-05 07:11)

Re: Encountered error when installing PunBB

When installing, be sure to specify the table prefix.
And all the official versions of PunBB have errors on the latest PHP versions.
Use https://punbb.informer.com/forums/post/158390/#p158390

P.S.
https://github.com/MioVisman/punbb/issues/1
https://github.com/MioVisman/punbb/issues/2

Parserus, UserAgentAnalyzer.
I speak only Russian  :P

Re: Encountered error when installing PunBB

Thanks for your replay.
I didn't expect to receive a response so quick. The reason why it happened was because groups has become a reserved keyword in MYSQL 8. The solution is kinda obvious, I have to rename all instances of groups to groups1 or something. Considering how many times groups appears in the installation files it's going to take a long time to make it work properly. I also encountered another error with the ranks table. Still figuring out how to fix this. Also is it possible to release a new version of PunBB with these issues fixed?
Looking forward to hearing from you.

4 (edited by Visman 2021-05-05 08:25)

Re: Encountered error when installing PunBB

Use https://punbb.informer.com/forums/post/158390/#p158390
In that topic, it is written that it has been corrected and finalized.

Parserus, UserAgentAnalyzer.
I speak only Russian  :P

Re: Encountered error when installing PunBB

Sorry I missed that. Thanks again.